Archive for the 'sysadmin' Category


blog moved – wordpress downgrade considered harmful

Today I moved my blog away from IN-Berlin e.V. to my own server as I got frustrated by all those wordpress upgrades necessary lately. So maybe you might want to update your bookmarks. The new location is http://blog.jwchat.org. On my private server I’m hosting debian’s default wordpress package which should get security updates automatically, thus […]

pyicq in da house

Today I replaced the good ol’ JIT Jabber ICQ Transport with PyICQ-t. JIT seems to fail for recent updates to the ICQ protocol and there seems to be no updates to fix the issues. So I decided to give PyICQ another try. Let’s hope it doesn’t eat up too much of our beloved resources (RAM, […]

jwchat.org now with xmpp.net certificate

I’ve updated jwchat.org’s SSL/TLS certificate to use a new one issued by xmpp.net instead of the old one from CAcert. Enjoy! I’ve updated jwchat.org’s SSL/TLS certificate to use a new one issued by xmpp.net instead of the old one from CAcert. Enjoy!

XSS-Vulnerability in MUCkl v0.4.2 (and earlier)

Thanks to BeF we discovered (and fixed) a XSS vulnerability in MUCkl yesterday. Now there’s a new release of MUCkl (v0.4.3) available for you to download which fixes this issue (and some more bugs too). If you’re hosting an instance of MUCkl somewhere please upgrade! Thanks to BeF we discovered (and fixed) a XSS vulnerability […]

jwchat.org migrated to ejabberd

Today I migrated jwchat.org from good old jabberd-1.4.3 to ejabberd-1.1.2 for various reasons. First and foremost because ejabberd is easier to manage and because I’m developing components for ejabberd myself. All services are back online again and hopefully working fine. If you’ve got any problems connecting or using services at jwchat.org please drop me a […]

midpSSH

Something a sysadmin don’t wants to miss anymore: MidpSSH is an SSH and Telnet client for MIDP 1.0 / 2.0 (J2ME) devices such as Java(tm)-capable cellphones and other mobile devices. MidpSSH is developed by Karl von Randow www.xk72.com and released under the GPL. +1 from me – real cool stuff Something a sysadmin don’t wants […]

I love it

gnurps ~ # emerge -uD –newuse world […] !!! Security Violation: A file exists that is not in the manifest. !!! File: files/awk/fixlafiles.awk-no_gcc_la gnurps ~ # gnurps ~ # emerge -uD –newuse world […] !!! Security Violation: A file exists that is not in the manifest. !!! File: files/awk/fixlafiles.awk-no_gcc_la gnurps ~ #

blogsport in trouble

Due to increasing traffic at blogsport my server hosting this service ran into trouble more and more as it’s got not enough RAM as an increasing number of apache processes kept eating it up. Sure I just could have spent some money into new hardware but this seemed not to be adequate to me as […]